# Creates a new exam registration record that does not already exist.

This method will auto-generate an ID and create a new exam registration. If an ID is specified for the exam registration, an error will be thrown.

Endpoint: POST /examRegistrations/{tenantId}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Request body:

  - `application/json` (unknown)
    The exam registration that you would like to be saved.

## Request fields (application/json):

  - `additional_location_info` (string)
    Additional location information

  - `application_id` (string)
    The certification application to which this registration

  - `cancellation_date` (string)

  - `city` (string)
    The member city

  - `country` (string)
    The member country

  - `course_registration_id` (string)
    The course registration this exam is tied to

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `date` (string, required)
    The date/time of the registration

  - `email_address` (string)
    The member's email address

  - `exam_date` (string)
    The date/time of the registration

  - `exam_id` (string, required)
    The exam being taken

  - `exam_offering_id` (string, required)
    The scheduled exam

  - `first_name` (string)
    The member's first name

  - `id` (string, required)
    The unique, string identifier of this exam registration

  - `job_title` (string)
    The member job title

  - `last_name` (string)
    The member's last name

  - `location` (string)
    Enum: "none", "testing facility", "training location"

  - `name` (string, required)
    The member's name

  - `notes` (string)
    notes

  - `notices` (array)

  - `notices.date` (string, required)
    The date the notice was send

  - `notices.notice_id` (string, required)
    The notice

  - `number` (number)
    The registration number

  - `order_id` (string)
    The order

  - `order_line_item_id` (string)
    The order line item

  - `process_id` (string)
    The registration process used to create the registration

  - `retest` (boolean)
    Whether or not this is a retest

  - `score` (number)
    The score

  - `scoring_report_uri` (string)
    An image/PDF of the exam scoring report

  - `state` (string)
    The state

  - `status` (string)
    Enum: "cancelled", "draft", "failed", "no show", "passed", "registered"

  - `student_id` (string, required)
    The individual taking the exam

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `testing_facility_id` (string)
    The exam testing site

  - `training_location_id` (string)
    The training facility

  - `training_provider_billing_date` (string)
    The date this registration was billing to the training provider

  - `training_provider_billing_invoice_id` (string)
    The invoice that was created to bill for this registration

  - `training_provider_billing_invoice_line_item_id` (string)
    The invoice that was created to bill for this registration

  - `training_provider_billing_name` (string)
    The training provider name (for billing)

  - `training_provider_billing_status` (string)
    The training provider billing status for this registration
    Enum: "billed", "billing hold", "exempt from billing", "not yet billed"

  - `training_provider_id` (string)
    The training facility

## Response 200:

  - `200` (unknown)
    The exam registration was saved successfully.

## Response 200 fields (application/json):

  - `additional_location_info` (string)
    Additional location information

  - `application_id` (string)
    The certification application to which this registration

  - `cancellation_date` (string)

  - `city` (string)
    The member city

  - `country` (string)
    The member country

  - `course_registration_id` (string)
    The course registration this exam is tied to

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `date` (string, required)
    The date/time of the registration

  - `email_address` (string)
    The member's email address

  - `exam_date` (string)
    The date/time of the registration

  - `exam_id` (string, required)
    The exam being taken

  - `exam_offering_id` (string, required)
    The scheduled exam

  - `first_name` (string)
    The member's first name

  - `id` (string, required)
    The unique, string identifier of this exam registration

  - `job_title` (string)
    The member job title

  - `last_name` (string)
    The member's last name

  - `location` (string)
    Enum: "none", "testing facility", "training location"

  - `name` (string, required)
    The member's name

  - `notes` (string)
    notes

  - `notices` (array)

  - `notices.date` (string, required)
    The date the notice was send

  - `notices.notice_id` (string, required)
    The notice

  - `number` (number)
    The registration number

  - `order_id` (string)
    The order

  - `order_line_item_id` (string)
    The order line item

  - `process_id` (string)
    The registration process used to create the registration

  - `retest` (boolean)
    Whether or not this is a retest

  - `score` (number)
    The score

  - `scoring_report_uri` (string)
    An image/PDF of the exam scoring report

  - `state` (string)
    The state

  - `status` (string)
    Enum: "cancelled", "draft", "failed", "no show", "passed", "registered"

  - `student_id` (string, required)
    The individual taking the exam

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `testing_facility_id` (string)
    The exam testing site

  - `training_location_id` (string)
    The training facility

  - `training_provider_billing_date` (string)
    The date this registration was billing to the training provider

  - `training_provider_billing_invoice_id` (string)
    The invoice that was created to bill for this registration

  - `training_provider_billing_invoice_line_item_id` (string)
    The invoice that was created to bill for this registration

  - `training_provider_billing_name` (string)
    The training provider name (for billing)

  - `training_provider_billing_status` (string)
    The training provider billing status for this registration
    Enum: "billed", "billing hold", "exempt from billing", "not yet billed"

  - `training_provider_id` (string)
    The training facility

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The exam registration you supplied was invalid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The exam registration could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add exam registration based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

